'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/**
 * Type guard to check if a filter is a {@link FacetFilter}.
 *
 * @param filter - The filter to check.
 *
 * @returns  True if the filter is a {@link FacetFilter}, false otherwise.
 *
 * @public
 */
function isFacetFilter(filter) {
    return 'facetId' in filter;
}

exports.isFacetFilter = isFacetFilter;
